# Interface ValueLayout.OfLong

All Superinterfaces:
  `MemoryLayout, ValueLayout`

Enclosing interface:
  `ValueLayout`

public static sealed interface ValueLayout.OfLong extends ValueLayout
A value layout whose carrier is `long.class`.

Since:
  22
See Also:
  - `ValueLayout.JAVA_LONG`
  - `ValueLayout.JAVA_LONG_UNALIGNED`

## Nested Class Summary

### Nested classes/interfaces declared in interface MemoryLayout

`MemoryLayout.PathElement`

### Nested classes/interfaces declared in interface ValueLayout

`ValueLayout.OfBoolean, ValueLayout.OfByte, ValueLayout.OfChar, ValueLayout.OfDouble, ValueLayout.OfFloat, ValueLayout.OfInt, ValueLayout.OfLong, ValueLayout.OfShort`

## Field Summary

### Fields declared in interface ValueLayout

`ADDRESS, ADDRESS_UNALIGNED, JAVA_BOOLEAN, JAVA_BYTE, JAVA_CHAR, JAVA_CHAR_UNALIGNED, JAVA_DOUBLE, JAVA_DOUBLE_UNALIGNED, JAVA_FLOAT, JAVA_FLOAT_UNALIGNED, JAVA_INT, JAVA_INT_UNALIGNED, JAVA_LONG, JAVA_LONG_UNALIGNED, JAVA_SHORT, JAVA_SHORT_UNALIGNED`

## Method Summary

Modifier and Type
Method
Description
`ValueLayout.OfLong`
`withByteAlignment(long byteAlignment)`
Returns a memory layout with the same characteristics as this layout, but with the given alignment constraint (in bytes).
`ValueLayout.OfLong`
`withName(String name)`
Returns a memory layout with the same characteristics as this layout, but with the given name.
`ValueLayout.OfLong`
`withOrder(ByteOrder order)`
Returns a value layout with the same characteristics as this layout, but with the given byte order.
`ValueLayout.OfLong`
`withoutName()`
Returns a memory layout with the same characteristics as this layout, but with no name.

### Methods declared in interface MemoryLayout

`arrayElementVarHandle, byteAlignment, byteOffset, byteOffsetHandle, byteSize, equals, hashCode, name, scale, scaleHandle, select, sliceHandle, toString, varHandle`

### Methods declared in interface ValueLayout

`carrier, order, varHandle`

## Method Details

### withName

ValueLayout.OfLong withName(String name)
Returns a memory layout with the same characteristics as this layout, but with the given name.

Specified by:
  `withName` in interface `MemoryLayout`
Specified by:
  `withName` in interface `ValueLayout`
Parameters:
  `name` - the layout name
Returns:
  a memory layout with the same characteristics as this layout, but with the given name
See Also:
  - `MemoryLayout.name()`

### withoutName

ValueLayout.OfLong withoutName()
Returns a memory layout with the same characteristics as this layout, but with no name.

Specified by:
  `withoutName` in interface `MemoryLayout`
Specified by:
  `withoutName` in interface `ValueLayout`
Returns:
  a memory layout with the same characteristics as this layout, but with no name
See Also:
  - `MemoryLayout.name()`

### withByteAlignment

ValueLayout.OfLong withByteAlignment(long byteAlignment)
Returns a memory layout with the same characteristics as this layout, but with the given alignment constraint (in bytes).

Specified by:
  `withByteAlignment` in interface `MemoryLayout`
Specified by:
  `withByteAlignment` in interface `ValueLayout`
Parameters:
  `byteAlignment` - the layout alignment constraint, expressed in bytes
Returns:
  a memory layout with the same characteristics as this layout, but with the given alignment constraint (in bytes)
Throws:
  `IllegalArgumentException` - if `byteAlignment` is not a power of two

### withOrder

ValueLayout.OfLong withOrder(ByteOrder order)
Returns a value layout with the same characteristics as this layout, but with the given byte order.

Specified by:
  `withOrder` in interface `ValueLayout`
Parameters:
  `order` - the desired byte order
Returns:
  a value layout with the same characteristics as this layout, but with the given byte order